Retrieve available hours for a combination of employee and services
GET
/api/agenda/horas-disponibles/
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.koibox.cloud/api/agenda/horas-disponibles/?fecha=example&is_solapamiento=false"), Headers = { { "X-Koibox-Key", "<X-Koibox-Key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.koibox.cloud/api/agenda/horas-disponibles/?fecha=example&is_solapamiento=false")) .header("X-Koibox-Key", "<X-Koibox-Key>") .method("GET", HttpRequest.BodyPublishers.noBody()) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.koibox.cloud/api/agenda/horas-disponibles/?fecha=example&is_solapamiento=false") .get() .addHeader("X-Koibox-Key", "<X-Koibox-Key>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.koibox.cloud/api/agenda/horas-disponibles/', params: {fecha: 'example', is_solapamiento: 'false'}, headers: {'X-Koibox-Key': '<X-Koibox-Key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.koibox.cloud/api/agenda/horas-disponibles/?fecha=example&is_solapamiento=false';const options = {method: 'GET', headers: {'X-Koibox-Key': '<X-Koibox-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.koibox.cloud/api/agenda/horas-disponibles/?fecha=example&is_solapamiento=false' \ --header 'X-Koibox-Key: <X-Koibox-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”servicios
Array<integer>
Service IDs, required if no combined service is specified
servicios_combinados
Array<integer>
Combined service IDs, required if no service is specified
fecha
required
string format: YYYY-MM-DD
user
integer
Employee ID
is_solapamiento
boolean
Indicates whether only one employee per hour should be returned. By default, only one employee is returned.
Responses
Section titled “Responses”A list with the available hours for each employee
Media typeapplication/json
Array<object>
object
user
Employee ID
integer
hora
string format: HH:mm
The access key has not been provided in the X-Koibox-Key header
Headers
Section titled “Headers”WWW-Authenticate
string
Indicates the required header for authentication
No valid access key has been provided
The resource was not found
